#ifndef __DBMWRAPPER_H__
#define __DBMWRAPPER_H__

#include <boost/scoped_ptr.hpp>
#include <string>

class DBMImplementation;

class DBMWrapper
{
public:
  DBMWrapper( const std::string& filename );
  ~DBMWrapper();

  void store( const std::string& key, const std::string& value );

private:
  boost::scoped_ptr<DBMImplementation> pImpl_;
};

#endif

