#ifndef __SHORTENEDPUBLICATIONS_H__
#define __SHORTENEDPUBLICATIONS_H__

#include <string>
#include <utility>
#include <deque>

#include <boost/regex.hpp> 

class ShortenedPublications
{
public:
  ShortenedPublications( const std::string& filename );
  std::string shortName( const std::string& name ) const;

private:
  typedef std::pair< boost::regex, std::string > ShortenedName;
  std::deque<ShortenedName> shortenedNames;
};

#endif

